<?xml version="1.0"?>
<configuration>
  <configSections>
    <section name="WorkflowRuntimeConfig" type="System.Workflow.Runtime.Configuration.WorkflowRuntimeSection, System.Workflow.Runtime, Version=3.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"/>
    <section name="LocalServicesConfig" type="System.Workflow.Activities.ExternalDataExchangeServiceSection, System.Workflow.Activities, Version=3.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"/>
  </configSections>

  <WorkflowRuntimeConfig>
    <Services>
      <!--<add type="System.Workflow.Runtime.Hosting.ManualWorkflowSchedulerService, System.Workflow.Runtime, Version=3.0.00000.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"/>-->
      <!--<add type="System.Workflow.Runtime.Hosting.SqlWorkflowPersistenceService, System.Workflow.Runtime, Version=3.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" ConnectionString="Initial Catalog=WorkflowPersistence;Data Source=.\SQLEXPRESS;Integrated Security=SSPI;"/>-->
      <!--<add type="System.Workflow.Activities.ExternalDataExchangeService, System.Workflow.Activities, Version=3.0.00000.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"/>-->
    </Services>
  </WorkflowRuntimeConfig>

  <LocalServicesConfig>
    <Services>
      <add type="WSEnumeration.Adapters.WSEnumerationLocalService, WSEnumeration,Version=1.0.0.0, Culture=neutral, PublicKeyToken=null"/>
    </Services>
  </LocalServicesConfig>

  <system.serviceModel>
		<diagnostics wmiProviderEnabled="true"/>
		<services>
      <service name="WSEnumeration.WSEnumerationService" behaviorConfiguration="WxfServiceExtension">
        <endpoint address="net.tcp://localhost:11111/PublicStorage" binding="netTcpBinding" bindingConfiguration="Binding1" contract="WSEnumeration.IWSEnumeration"/>
      </service>
		</services>

    <bindings>
      <netTcpBinding>
        <binding name="Binding1" transactionFlow="true"/>
      </netTcpBinding>
    </bindings>

    <extensions>
      <behaviorExtensions>
        <add name="WSEnumerationAdapter" type="WSEnumeration.ServiceAdapterBehaviorElement, WSEnumeration, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null"/>
        <add name="logger" type="RKiss.Logger.LoggerBehaviorElement, Logger, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null"/>
      </behaviorExtensions>
    </extensions>
    
    <behaviors>
      <serviceBehaviors>
			  <behavior name="WxfServiceExtension">
          <WSEnumerationAdapter StoragePath="c:\" 
                                ExpirationType="T|D|H|M"
                                Filtering="true"
                                FilterDialect="XPath"
                                type="WSEnumeration.Adapters.WFAdapter, WSEnumeration" xTransactionScopeRequired="true" xTransactionAutoComplete="true" 
                                WorkflowTypeEnumerate="WSEnumerationWorkflow.FileSystem.WorkflowEnumerate, WSEnumerationWorkflow"
                                WorkflowTypePull="WSEnumerationWorkflow.FileSystem.WorkflowPull, WSEnumerationWorkflow"
                                WorkflowTypeRenew="WSEnumerationWorkflow.FileSystem.WorkflowRenew, WSEnumerationWorkflow"
                                WorkflowTypeGetStatus="WSEnumerationWorkflow.FileSystem.WorkflowGetStatus, WSEnumerationWorkflow"
                                WorkflowTypeRelease="WSEnumerationWorkflow.FileSystem.WorkflowRelease, WSEnumerationWorkflow"/>
          <logger enable="true" logAfterReceiveRequest="true" logBeforeSendReply="true"/>
        </behavior>
      </serviceBehaviors>
		</behaviors>

		
	</system.serviceModel>
  </configuration>
